//
//  SettingsViewController.swift
//  ArduinoTemperatureSwift
//
//  Created by Tony Dahbura on 2/21/15.
//  Copyright (c) 2015 Tony Dahbura. All rights reserved.
//

import UIKit



protocol SettingsViewControllerDelegate {
    func settingsViewControllerDidFinish(controller: SettingsViewController)
}


class SettingsViewController: UIViewController, UITextFieldDelegate {
    // delegate for ViewController - we pass back the settings
    var delegate: SettingsViewControllerDelegate?
    
    @IBOutlet weak var temperatureSelect : UISegmentedControl!
    @IBOutlet weak var theURLTextField : UITextField!
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        let vc = self.delegate as! ViewController
        self.theURLTextField?.text = vc.theURL
        self.temperatureSelect?.selectedSegmentIndex = vc.displayAsCelsius ? 0 : 1
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    
    @IBAction func doneButtonTapped(sender: UIButton) {
        println("done button tapped.")
        if let vc = self.delegate {
            let vc = self.delegate as! ViewController
            vc.theURL = self.theURLTextField!.text
            vc.displayAsCelsius = self.temperatureSelect?.selectedSegmentIndex == 0 ? true : false
            vc.settingsViewControllerDidFinish(self)
        }
    
    }
    
    
    //Text Field Entry Delegates
    func textFieldDidEndEditing(textField : UITextField) {
        println("in textFieldDidEndEditing....")
    }
    
    func textFieldShouldReturn(textField : UITextField) -> Bool {
        println("in textFieldShouldReturn....")
        textField.resignFirstResponder()
        return true
    }

    
    
    
}